%{?nodejs_find_provides_and_requires}

%global packagename empower-core

# tests disabled due to missing npm(buster-assertions), which got lost after
# gitorious went away...
%global enable_tests 0

Name:		nodejs-empower-core
Version:	0.5.0
Release:	1%{?dist}
Summary:	Power Assert feature enhancer for assert function/object

License:	MIT
URL:		https://github.com/twada/empower-core.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(core-js)
BuildRequires:	npm(call-signature)
BuildRequires:	npm(espower)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(buster-assertions)
%endif

%description
Power Assert feature enhancer for assert function/object


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep core-js


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license MIT-LICENSE.txt
%{nodejs_sitelib}/%{packagename}


%changelog
* Tue Feb 16 2016 Jared Smith <jsmith@fedoraproject.org> - 0.5.0-1
- Initial packaging
